## pgsentinel 1.3.0

=== Makefile ===
all:
	$(MAKE) -C src all
%:
	$(MAKE) -C src $@

=== src/Makefile ===
ifdef DEB_BUILD_GNU_TYPE
    REGRESS_OPTS =--temp-config=./pgsentinel.conf
else
    REGRESS_OPTS =--temp-config=./pgsentinel.conf --temp-instance=./tmp_check
endif

REGRESS = pgsentinel-test

MODULE_big = pgsentinel
OBJS = $(patsubst %.c,%.o,$(wildcard ./*.c))

ifeq ($(CC),gcc)
    PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-uninitialized -Wno-implicit-fallthrough -Iinclude
else
    PG_CPPFLAGS = -std=c99 -Wall -Wextra -Werror -Wno-unused-parameter -Wno-implicit-fallthrough -Iinclude
endif

EXTRA_CLEAN += $(addprefix ./,*.gcno *.gcda)

EXTENSION = pgsentinel
DATA = pgsentinel--1.0.sql
PGFILEDESC = "pgsentinel - active session history"

LDFLAGS_SL += $(filter -lm, $(LIBS))

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## pgsentinel 1.2.0

=== debian/changelog ===
pgsentinel (1.2.0-1) unstable; urgency=medium

  * Initial release.
  * Enables 1-second active session sampling for PostgreSQL observability.

 -- Laura H. <huangyy159@hotmail.com>  Wed, 30 Jul 2025 16:21:50 +0200

=== debian/control ===
Source: pgsentinel
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Jeremy Schneider <schneider@ardentperf.com>, Laura H. <huangyy159@hotmail.com>
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>=14),
 postgresql-contrib-17,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/pgsentinel/pgsentinel
Vcs-Browser: https://salsa.debian.org/postgresql/pgsentinel
Vcs-Git: https://salsa.debian.org/postgresql/pgsentinel.git

Package: postgresql-17-pgsentinel
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
 postgresql-contrib-17,
Description: PostgreSQL extension pgsentinel
 pgsentinel is a lightweight extension for PostgreSQL that enables 
 active session sampling. It collects and reports information about 
 currently active sessions and waits. This extension helps database 
 administrators and developers diagnose performance issues by 
 providing real-time insights into blocking, waiting, and session 
 activities.

## pgsentinel 1.3.0

=== debian/changelog ===
pgsentinel (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.
  * Team upload for PostgreSQL 18.
  * Restrict to 64-bit architectures.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Fri, 10 Oct 2025 09:54:49 +0200

=== debian/control ===
Source: pgsentinel
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Jeremy Schneider <schneider@ardentperf.com>,
 Laura H. <huangyy159@hotmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-contrib-18,
 postgresql-server-dev-all (>=14),
Standards-Version: 4.7.2
Homepage: https://github.com/pgsentinel/pgsentinel
Vcs-Browser: https://salsa.debian.org/postgresql/pgsentinel
Vcs-Git: https://salsa.debian.org/postgresql/pgsentinel.git

Package: postgresql-18-pgsentinel
Architecture: any
Depends:
 postgresql-contrib-18,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension pgsentinel
 pgsentinel is a lightweight extension for PostgreSQL that enables
 active session sampling. It collects and reports information about
 currently active sessions and waits. This extension helps database
 administrators and developers diagnose performance issues by
 providing real-time insights into blocking, waiting, and session
 activities.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.md

override_dh_pgxs_test:
	pg_buildext -o "shared_preload_libraries=pg_stat_statements,pgsentinel" -o "pgsentinel.db_name=contrib_regression" installcheck . . postgresql-%v-pgsentinel

%:
	dh $@ --with pgxs_loop

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
  https://github.com/pgsentinel/pgsentinel/tags .*/v?([0-9][^/]*).tar.gz

## pgsentinel 1.3.1

=== debian/changelog ===
pgsentinel (1.3.1-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 31 Dec 2025 10:37:11 +0100

pgsentinel (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1.

 -- Christoph Berg <myon@debian.org>  Wed, 31 Dec 2025 10:37:11 +0100

## pgsentinel 1.4.0

=== src/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 EXTRA_CLEAN += $(addprefix ./,*.gcno *.gcda)
 
 EXTENSION = pgsentinel
-DATA = pgsentinel--1.0.sql
+DATA = $(wildcard $(EXTENSION)*--*.sql)
 PGFILEDESC = "pgsentinel - active session history"
 
 LDFLAGS_SL += $(filter -lm, $(LIBS))

=== debian/changelog ===
pgsentinel (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Feb 2026 15:03:44 +0100
